出現 This device is not supported by your LabVIEW environment 錯誤訊息

更新 Nov 9, 2020

產品資訊

硬件

  • CompactRIO Controller
  • CompactDAQ Controller
  • PXI Controller

軟體

  • LabVIEW
  • LabVIEW FPGA Module
  • LabVIEW Real-Time Module

問題敘述

我嘗試將cRIO或PXI設備新增至LabVIEW專案(Project)中,並收到以下訊息:

This device is not supported by your LabVIEW environment

為什麼我會看到這個訊息?

解決方案

您看到該訊息的原因可能是因為您的控制器與LabVIEW版本不相容。請確保當前您的軟體環境是您的硬體所支援的。請參閱文件Software Support for CompactRIO, CompactDAQ, Single-Board RIO, R Series, and EtherCAT,並從下拉列表:顯示相關資訊 (Show Support Information for a Specific Device.)中選擇設備型號您將在表上看到相容性資訊。